﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS;
using System.Collections;
using CoreGraphics;

namespace SimpleSample.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            new SfChartRenderer();
            global::Xamarin.Forms.Forms.Init();
            LoadApplication(new App());
//
//			Xamarin.Forms.Forms.ViewInitialized += (object sender, Xamarin.Forms.ViewInitializedEventArgs e) => 
//			{
//				if(e.NativeView is SFChart)
//				{
//				   (e.NativeView as SFChart).Delegate = new TooltipCustomDelegate(e.View as SfChart);
//				}
//			};

			return base.FinishedLaunching(app, options);
		}
	}

//	public class TooltipCustomDelegate: ChartDelegate
//	{
//		public SfChart Chart {
//			get;
//			set;
//		}
//
//		public TooltipCustomDelegate(SfChart chart):base(chart)
//		{
//			this.Chart = chart;
//		}
//
//		public override void WillShowTooltip (SFChart chart, SFChartTooltip tooltipView)
//		{
//			IList data = Chart.Series [0].ItemsSource as IList;
//
//			NSObject index = tooltipView.Series.ValueForKey (new NSString("tooltipDataPointIndex"));
//			int i = ((NSNumber)index).Int32Value;
//
//			UIView customView = new UIView ();
//			customView.Frame = new CGRect (0,0,60,60);
//
//			UILabel xLabel = new UILabel ();
//			xLabel.Frame = new CGRect (1,0,58,18);
//			xLabel.TextColor = UIColor.White;
//			xLabel.Font = UIFont.FromName("Helvetica", 11f);
//			xLabel.Text = "Month: " + (data[i] as MyModel).Month.ToString();;
//
//			UILabel yLabel = new UILabel ();
//			yLabel.Frame = new CGRect (1, 20, 58, 18);
//			yLabel.TextColor = UIColor.White;
//			yLabel.Font = UIFont.FromName("Helvetica", 11f);
//			yLabel.Text = "Price: "+ (data[i] as MyModel).Value.ToString();;
//
//			UILabel yLabel1 = new UILabel ();
//			yLabel1.Frame = new CGRect (1, 40, 58, 18);
//			yLabel1.TextColor = UIColor.White;
//			yLabel1.Font = UIFont.FromName("Helvetica", 11f);
//			yLabel1.Text = "Stock: "+  (data[i] as MyModel).Stock.ToString();
//
//			customView.AddSubview (xLabel);
//			customView.AddSubview (yLabel);
//			customView.AddSubview (yLabel1);
//			tooltipView.CustomView = customView;
//		}
//	}
		
}
